Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.hibernate3
Class HibernateSystemException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.UncategorizedDataAccessException
                                  org.springframework.orm.hibernate3.HibernateSystemException

All Implemented Interfaces:
  Serializable

    public class HibernateSystemException

extends UncategorizedDataAccessException

Hibernate-specific subclass of UncategorizedDataAccessException, for Hibernate system errors that do not match any concrete `org.springframework.dao` exceptions.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

Constructor Summary
`HibernateSystemException(HibernateException cause)` Create a new HibernateSystemException, wrapping an arbitrary HibernateException.

Method Summary

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateSystemException

    public HibernateSystemException(HibernateException cause)

  Create a new HibernateSystemException, wrapping an arbitrary HibernateException.

  Parameters:
    `cause` - the HibernateException thrown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.